Das Perl-Modul DBD::mysql

Alles, was Perl betrifft, kann hier besprochen werden.

Das Perl-Modul DBD::mysql

Postby Divetoday » 19. February 2004 01:59

Warnung: Das Perl-Modul DBD::mysql ist auf Ihrem System nicht installiert. Webmin ist deshalb nicht in der Lage zuverlässig auf Ihre MySQL-Datenbank zuzugreifen. Klicken Sie hier um es jetzt zu installieren.

Ich habe Heute mal Versucht über webmin Das Perl-Modul DBD::mysql nach zuinstallieren aber ohne erfog, was fehlt den noch was dieses Perl braucht damit es sich installieren lasst


Checking if your kit is complete...
Looks good
Using DBI 1.32 installed in /opt/lampp/lib/perl5/site_perl/5.8.0/i686-linux/auto/DBI
Writing Makefile for DBD::mysql
cp lib/DBD/mysql/GetInfo.pm blib/lib/DBD/mysql/GetInfo.pm
cp lib/DBD/mysql.pm blib/lib/DBD/mysql.pm
cp lib/DBD/mysql/INSTALL.pod blib/lib/DBD/mysql/INSTALL.pod
cp lib/Mysql.pm blib/lib/Mysql.pm
cp lib/Mysql/Statement.pm blib/lib/Mysql/Statement.pm
cp lib/Bundle/DBD/mysql.pm blib/lib/Bundle/DBD/mysql.pm
cc -c -I/opt/lampp/lib/perl5/site_perl/5.8.0/i686-linux/auto/DBI -I/opt/lampp/include/mysql -I/opt/
lampp/include -L/opt/lampp/lib ,--rpath ,/opt/lampp/lib -DDBD_MYSQL_WITH_SSL -fno-strict-aliasing -I
/opt/lampp/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -DVERSION=\"2.9003\" -DXS_VERSIO
N=\"2.9003\" -fpic "-I/opt/lampp/lib/perl5/5.8.0/i686-linux/CORE" dbdimp.c
cc: ,--rpath: No such file or directory
cc: ,/opt/lampp/lib: No such file or directory
In file included from /opt/lampp/lib/perl5/5.8.0/i686-linux/CORE/perl.h:3368,
from /opt/lampp/lib/perl5/site_perl/5.8.0/i686-linux/auto/DBI/DBIXS.h:19,
from dbdimp.h:20,
from dbdimp.c:19:
/opt/lampp/lib/perl5/5.8.0/i686-linux/CORE/proto.h:338: warning: `struct tm' declared inside paramet
er list
/opt/lampp/lib/perl5/5.8.0/i686-linux/CORE/proto.h:338: warning: its scope is only this definition o
r declaration, which is probably not what you want
/opt/lampp/lib/perl5/5.8.0/i686-linux/CORE/proto.h:491: warning: `struct tm' declared inside paramet
er list
make: *** [dbdimp.o] Error 1
Divetoday
 
Posts: 12
Joined: 10. October 2003 22:25

Postby Molaf » 26. February 2004 17:48

Hier möchte ich leich mit meiner Frage anknüpfen, es betrifft das gleiche Problem bei Lampp 1.4.
Ich habe festgestellt, dass alle Perlskripte am fehlenden Datenbankmodus rummäkeln, und siehe da, unter @INC ist auch kein verzeichnet.

Also Shell aufgemacht, rott-Rechte geholt und cpan aufgerufen.
get Mysql holt zuverlässig das Modul Mysql mit allen Komponenten, inklusive DBD::mysql.
make Mysql bereitet fehlerfrei die Installation vor,
install Mysql versagt aber dann kläglich und gibt nur den Errorcode 512 aus.

Damit kann ich aber nichts anfangen.

Das Problem meines Vorgängers scheint dasselbe zu sein, webmin wird wohl auf cpan aufsetzten, oder?
Molaf
 
Posts: 7
Joined: 04. December 2003 13:36
Location: Hannover

Postby TomW » 06. March 2004 17:57

Habe das gleiche Problem wie meine beiden Vorgänger, bekomme das Modul einfach nicht installiert, hat das denn noch keiner geschafft???

Wäre über eine Antwort sehr erfreut.

TomW
Computerprobleme??? -> http://www.weber-computerhilfe.de

Fordere keine Anerkennung!
Zeige was und man wird Dich kennen
TomW
 
Posts: 6
Joined: 06. March 2004 17:37

Postby TomW » 07. March 2004 12:46

Habe es inzwischen mit dem zweiten Hinweis von hier hinbekommen

http://community.apachefriends.org/f/viewtopic.php?t=1178

TomW
Computerprobleme??? -> http://www.weber-computerhilfe.de

Fordere keine Anerkennung!
Zeige was und man wird Dich kennen
TomW
 
Posts: 6
Joined: 06. March 2004 17:37


Return to Perl

Who is online

Users browsing this forum: No registered users and 1 guest